Page MenuHomePhabricator

[NFC] MemoryDependenceAnalysis cleanup.
ClosedPublic

Authored by dfukalov on May 12 2021, 12:49 PM.

Details

Summary
  1. Removed redundant includes,
  2. Removed never defined and used releaseMemory().
  3. Fixed member functions names first letter case.
  4. Renamed duplicate (in nested struct NonLocalPointerInfo) name NonLocalDeps to NonLocalDepsMap.

Diff Detail

Event Timeline

dfukalov created this revision.May 12 2021, 12:49 PM
dfukalov requested review of this revision.May 12 2021, 12:49 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 12 2021, 12:49 PM
bmahjour removed a subscriber: bmahjour.May 12 2021, 2:44 PM

Gentle ping...

nikic accepted this revision.May 22 2021, 6:59 AM

LGTM

This revision is now accepted and ready to land.May 22 2021, 6:59 AM
dfukalov updated this revision to Diff 348741.May 31 2021, 1:21 AM

Rebased, ping.

nikic added a comment.May 31 2021, 6:45 AM

Rebased, ping.

It's already approved? ^^

This revision was automatically updated to reflect the committed changes.

It's already approved? ^^

Ooops, sorry for pinging.